body {
  margin: 0;
  padding: 0;
  font-size: 0.9rem;
  background-color: rgba(0, 0, 0, 0.7);
}

#tour-mp3-status {
  color: #f5f5dc;
  padding: 1rem;
  position: absolute;
  left: 45px;
  font-size: 14px;
}

#map {
  position: absolute;
  top: 0px;
  bottom: 0;
  width: 100%;
  z-index: -1;
}

#map-metadata-container {
  display: none;
  flex-direction: column;
  justify-content: space-between;
  position: absolute;
  right: 1rem;
  bottom: 3rem;
  left: 1rem;
  color: #ebebea;
  font-family: monospace;
}

.photoMarker {
  display: block;
  width: 50px;
  height: 50px;
  padding: 0;
  border: 2px solid;
  border-radius: 50%;
  cursor: pointer;
  background-size: 100%;
  opacity: 0.5;
  transition: opacity 0.3s;
}

.tourMarker {
  display: block;
  width: 45px;
  height: 45px;
  background-size: cover;
  margin-top: -12px;
  cursor: pointer;
  transition: margin 0.3s;
  transition: opacity 0.5s;
}

.hidden-marker {
  opacity: 0;
}

.tourMarker:hover {
  margin-top: -16px;
}

.audio-speed-container {
  position: relative;
  align-self: flex-end;
  display: flex;
  justify-content: flex-end;
  align-items: center;
  gap: 4px;
  margin-right: 30px;
}

#audio-speed-value {
  color: rgb(100, 100, 100);
  user-select: none;
}

#audio-speed-mark {
  display: none;
  position: absolute;
  right: 75px;
  height: 10px;
  width: 1px;
  background-color: rgb(100, 100, 100);
}

#audio-speed {
  -webkit-appearance: none;
  appearance: none;
  width: 100px;
  height: 2px;
  background-color: rgb(100, 100, 100);
  border-radius: 10px;
  outline: none;
  cursor: pointer;
}

#audio-speed::-moz-range-thumb {
  border: none;
  height: 12px;
  width: 12px;
  border-radius: 50%;
  background: #e19c89;
}

#audio-speed::-webkit-slider-thumb {
  -webkit-appearance: none;
  background: #e19c89;
  border: none;
  height: 12px;
  width: 12px;
  border-radius: 50%;
  background: #e19c89;
}

.photoMarker:hover {
  opacity: 0.9 !important;
}

.audio-buttons-container {
  display: flex;
  justify-content: center;
  align-items: flex-start;
  padding-top: 4px;
  gap: 4px;
}

.round-button {
  box-sizing: border-box;
  display: flex;
  justify-content: center;
  align-items: center;
  width: 55px;
  height: 55px;
  border-radius: 50%;
  color: #e19c89;
  text-decoration: none;
  background-color: rgba(100, 100, 100, 0.8);
  font-weight: bold;
  transition: all 0.3s ease;
  cursor: pointer;
  margin-top: 8px;
}

.fa-play {
  padding-left: 3px;
}

.round-button:hover {
  color: #e19c89;
  background-color: rgba(100, 100, 100, 0.4);
}

.round-button-small {
  display: flex;
  justify-content: center;
  align-items: center;
  width: 32px;
  height: 32px;
  color: rgba(100, 100, 100, 0.8);
  text-decoration: none;
  transition: all 0.3s ease;
  background: transparent;
  cursor: pointer;
  border: none;
  border-radius: 50%;
}

.round-button-small:hover {
  text-shadow: 0px 0px 10px rgba(255, 255, 100, 1);
  color: #e19c89;
  opacity: 1;
}

#initialLoadAudio {
  position: absolute;
  top: 5px;
  left: 210px;
  width: calc(100vw - 420px);
  z-index: 10000;
}

#timeCounter {
  visibility: hidden;
  color: #f5f5dc;
  font-weight: bold;
  font-family: monospace;
}

#waveclip,
#waveform {
  z-index: 9999;
  height: 90px;
  position: absolute;
  top: 0;
  left: 210px;
  right: 210px;
}

#waveclip > canvas,
#waveform > canvas {
  position: absolute;
  left: 0;
  top: 0;
  bottom: 0;
  z-index: 2;
  pointer-events: none;
}

#waveformDiv {
  background: rgba(0, 0, 0, 0.7);
  width: 100%;
  height: 95px;
}

#waveclip wave,
#waveform wave {
  height: 90px !important;
}

#navigation-buttons-container {
  position: absolute;
  top: 0;
  left: 0;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  gap: 1px;
  height: 95px;
  width: 40px;
  padding-left: 10px;
}

.navigation-button {
  display: flex;
  justify-content: center;
  align-items: center;
  width: 30px;
  height: 30px;
  line-height: 30px;
  color: #cccccc;
  transition: all 0.3s ease;
  border: 1px solid rgba(100, 100, 100, 0.4);
  border-radius: 4px;
  background: transparent;
  opacity: 0.5;
}

.navigation-button:disabled {
  cursor: not-allowed;
  color: #e19c89;
  opacity: 1;
  border: 1px solid rgba(100, 100, 100, 0.8);
}

#audioFeature {
  display: none;
  flex-direction: column;
  justify-content: flex-start;
  align-items: center;
  gap: 4px;
  position: absolute;
  top: 0;
  left: 40px;
  width: 170px;
}

#tourSelect {
  min-height: 32px;
  margin-bottom: 4px;
}

#selectData {
  position: absolute;
  width: 170px;
  right: 4px;
  top: 4px;
}

/* FLOATING CLIP EDITOR */

input[type="text"],
input[type="search"] {
  font-family: inherit;
  width: 200px;
  height: fit-content;
  border: 0;
  border-bottom: 2px solid #0095fc;
  outline: 0;
  font-size: 1.3rem;
  color: #81fd94;
  padding: 3px 0;
  background: transparent;
  transition: border-color 0.2s;
}

#guide {
  font-family: inherit;
  width: 255px;
  border: 0;
  border-bottom: 2px solid #0095fc;
  outline: 0;
  font-size: 1.3rem;
  color: #81fd94;
  padding: 7px 0;
  background: transparent;
  transition: border-color 0.2s;
}

#clip {
  font-family: inherit;
  width: 200.303px;
  border: 0;
  border-bottom: 2px solid #0095fc;
  outline: 0;
  font-size: 1.3rem;
  color: gainsboro;
  padding: 7px 0;
  background: transparent;
  transition: border-color 0.2s;
}

#startdate,
#enddate,
.start_time,
.end_time {
  font-family: inherit;
  width: 84px;
  border: 0;
  /* border-bottom: 2px solid #0095fc; */
  outline: 0;
  font-size: 14px;
  color: gainsboro;
  padding: 0;
  background: transparent !important;
  transition: border-color 0.2s;
  text-align: center;
}

#startdate::placeholder,
#enddate::placeholder {
  font-size: 14px;
}

.switch {
  position: relative;
  display: inline-block;
  width: 40px;
  height: 10px;
}

.switch input {
  opacity: 0;
  width: 0;
  height: 0;
}

.slider.round {
  border-radius: 34px;
}

.slider.round:before {
  border-radius: 50%;
}

.slider {
  position: absolute;
  cursor: pointer;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  background-color: #ccc;
  -webkit-transition: 0.4s;
  transition: 0.4s;
  height: 15px;
}

.slider:before {
  position: absolute;
  content: "";
  height: 13px;
  width: 13px;
  left: 0px;
  /* bottom: 1px; */
  background-color: white;
  -webkit-transition: 0.4s;
  transition: 0.4s;
}

input:checked + .slider {
  background-color: #2196f3;
}

input:focus + .slider {
  box-shadow: 0 0 1px #2196f3;
}

input:checked + .slider:before {
  -webkit-transform: translateX(26px);
  -ms-transform: translateX(26px);
  transform: translateX(26px);
}

#waveform wave {
  height: 90px !important;
  overflow: hidden !important;
}

#name_loop li {
  text-decoration: none !important;
  list-style: none;
}

#name_loop .active {
  text-decoration: none !important;
  list-style: none;
  color: white;
}

.clip_name_style {
  display: none;
  margin-top: 0.5rem;
  background: rgba(0, 0, 0, 0.47);
  width: 280px;
  height: 30px;
}

.line {
  margin-top: 0.5rem;
  background: gray;
  width: 280px;
  height: 0.1rem;
}

li:hover {
  cursor: pointer;
}

::-webkit-scrollbar {
  width: 5px;
}

::-webkit-scrollbar-track {
  background-color: #000000;
  -webkit-border-radius: 10px;
  border-radius: 10px;
}

::-webkit-scrollbar-thumb {
  -webkit-border-radius: 10px;
  border-radius: 10px;
  background: #0095fc;
}

.accordion {
  margin-top: 10px;
}

.accordion-button {
  padding: 0px 10px;
  background-color: #000000;
  color: white;
}

.accordion-button.collapsed svg {
  display: none;
}

.accordion-button:not(.collapsed) {
  background-color: #000000;
  color: white;
  font-weight: bold;
}

.accordion-item {
  background-color: #111;
  border-bottom-color: #333;
}

.redx {
  color: red;
}

.close-button:hover {
  color: white;
  background-color: red;
  border-radius: 50%;
  padding: 2px;
}

.modal-dialog,
.modal-content {
  height: 700px;
}

.modal-body {
  max-height: 700px;
  overflow-y: scroll;
}

.lds-ring {
  display: inline-block;
  position: relative;
  width: 80px;
  height: 80px;
}

.lds-ring div {
  box-sizing: border-box;
  display: block;
  position: absolute;
  width: 64px;
  height: 64px;
  margin: 8px;
  border: 8px solid #797979;
  border-radius: 50%;
  animation: lds-ring 1.2s cubic-bezier(0.5, 0, 0.5, 1) infinite;
  border-color: #797979 transparent transparent transparent;
}

.lds-ring div:nth-child(1) {
  animation-delay: -0.45s;
}

.lds-ring div:nth-child(2) {
  animation-delay: -0.3s;
}

.lds-ring div:nth-child(3) {
  animation-delay: -0.15s;
}

@keyframes lds-ring {
  0% {
    transform: rotate(0deg);
  }

  100% {
    transform: rotate(360deg);
  }
}

img#mainphoto {
  position: absolute;
  right: -19px;
  top: 6px;
  z-index: 99;
  min-width: 100px;
  min-height: 100px;
  box-shadow: 4px 3px 10px black;
  width: 100px;
  height: 100px;
  border-radius: 50%;
}

#SelectLang {
  margin: 0.7rem 0.7rem 0.7rem 0.3rem;
}

select#languageSelect {
  width: 201px;
  font-size: 0.8rem;
  padding: 4px;
  display: inline;
  float: left;
  background-color: #81fd94;
}

#container-outer {
  display: block;
  position: absolute;
  right: 0.5rem;
  margin: 0.5rem auto;
  font-family: monospace;
}

#main-div {
  width: 18rem;
  background: #000;
  padding: 2%;
  overflow-y: auto;
  overflow-x: hidden;
}

#main-div span {
  font-size: 13px;
}

#add-clip-btn {
  width: 29px;
  color: #fff;
  background-color: #0095fc;
  text-transform: uppercase;
  outline: 0;
  border-style: none;
  height: 29px;
  float: right;
  display: inline;
  margin-right: 2px;
}

.clippedImage {
  width: 50px;
  height: 50px;
  border-radius: 50%;
  padding: 0;
  margin: 5px 0 -11px 0;
  object-fit: cover;
  overflow: hidden;
}

.accordion-button:focus {
  box-shadow: none;
}

.timeblock {
  display: flex;
  margin-left: 0.5rem;
  margin-bottom: 0.5rem;
}

#timeblock-error {
  padding: 0.5rem;
  color: red;
  font-size: 0.8rem;
}

button.setClipTime-left,
button.setClipTime-right {
  border-radius: 20%;
  border: 1px solid #0095fc;
  width: 14px;
  height: 25px;
  padding: 0;
  /* top: 736px; */
  background: rgba(0, 0, 0, 0.8);
  color: #0095fc;
  font-size: 15px;
  /* margin: -10px 0 0 0; */
}

button.setClipTime-left.disabled,
button.setClipTime-right.disabled {
  border: 1px solid #999;
  color: #999;
}

.saveBtn,
.clipBtn,
.cribBtn {
  width: 3rem;
  padding: 2%;
  color: #fff;
  background-color: #0095fc;
  text-transform: uppercase;
  outline: 0;
  border-style: none;
}

.depressed {
  background: #666;
  box-shadow: inset 1px 1px 3px #999, inset -1px -2px 3px #222;
  text-shadow: 3px 3px 5px #222;
}

.depressed:hover {
  background: #555;
  box-shadow: inset 1px 1px 1px #aaa, inset -1px -2px 1px #111;
  text-shadow: 3px 3px 5px #111;
}

.transcript {
  width: 15rem;
  height: 5rem;
  font-size: 0.7rem;
  overflow-y: scroll;
  overflow-x: hidden;
  outline: 0;
  background-color: #000;
  color: #dcdcdc;
  border-color: #0095fc;
}

.accordion-body {
  color: #ccc;
}

/* supposedly keeps from zooming on mobile*/
:root {
  touch-action: pan-x pan-y;
  height: 100%;
}

/* Supposedly keeps input fields from turning white*/
textarea:-webkit-autofill,
textarea:-webkit-autofill:focus,
input:-webkit-autofill,
input:-webkit-autofill:focus {
  transition: background-color 600000s 0s, color 600000s 0s;
}

/* hide durationpicker controls */
.html-duration-picker-input-controls-wrapper .controls {
  display: none !important;
}

/* change durationpicker colors */
#startdate::selection,
#enddate::selection {
  background: none;
  color: #0095fc;
}

.mapboxgl-ctrl-top-left {
  top: 95px !important;
}

.carousel-item img {
  max-height: 70vh;
  max-width: 100%;
  margin: auto;
}

.carousel-item-no {
  margin: 0.5rem 0;
  color: white;
  font-size: 1rem;
  text-align: center;
}

#carouselExampleIndicators {
  width: 100%;
  margin: 60px 60px 0 60px;
}

.open-in-new-window-button {
  visibility: hidden;
  position: absolute;
  top: 1rem;
  right: 1rem;
  display: flex;
  justify-content: center;
  align-items: center;
  width: 30px;
  height: 30px;
  line-height: 30px;
  color: #cfcfcf;
  border-radius: 50%;
  border: 0;
  background-color: rgb(0, 0, 255);
  opacity: 0.7;
}

.open-in-new-window-button:hover {
  opacity: 1;
  color: #ffffff;
}

.copy-image-description-button {
  visibility: hidden;
  width: 32px;
  height: 32px;
  position: absolute;
  bottom: 4rem;
  right: 1rem;
  display: flex;
  justify-content: center;
  align-items: center;
  color: #ffffff;
  border: 0;
  background: transparent;
  cursor: pointer;
}

.gallery-toolbar-item {
  color: #fcef31;
}

.carousel-item-description {
  opacity: 0;
  background-color: rgba(0, 0, 0, 0.5);
  color: #fcef31;
  position: absolute;
  bottom: 2.5rem;
  left: 0;
  right: 0;
  margin: auto;
  overflow: auto;
  display: flex;
  flex-direction: row;
  justify-content: flex-start;
  align-items: flex-start;
  flex-flow: wrap;
  max-height: 25vh;
  min-height: 10vh;
  padding: 1rem;
  transition: opacity 0.3s ease;
}

.carousel-item-description-item {
  width: 140px;
  display: flex;
  white-space: nowrap;
}

.carousel-item-description-item-label {
  max-width: 100px;
  margin-right: 0.5rem;
  overflow: hidden;
  text-overflow: ellipsis;
}

#devices {
  display: flex;
  flex-direction: column;
  justify-content: flex-start;
  align-items: flex-start;
  padding: 0;
  margin: 0;
  border: 0;
}

.gallery-toolbar-container {
  position: absolute;
  top: 0;
  height: 60px;
  display: flex;
  justify-content: space-between;
  align-items: center;
  width: 300px;
}

.gallery-toolbar-item {
  display: flex;
  justify-content: center;
  align-items: center;
}

.gallery-toolbar-item > div {
  margin: 0 5px;
}

#large-image {
  display: none;
  z-index: 10000;
  position: absolute;
  overflow: hidden;
  left: 0;
  top: 95px;
  height: calc(100vh - 95px);
}

@media only screen and (max-width: 800px) {
  #waveformDiv {
    height: 190px;
  }

  #initialLoadAudio {
    top: 100px;
    left: 10px;
    width: calc(100vw - 20px);
  }

  #waveclip,
  #waveform {
    top: 95px;
    right: 0;
    left: 0;
    margin: 0 1rem;
  }

  #selectData {
    position: absolute;
    right: 4px;
    top: 4px;
  }

  #map {
    top: 95px;
  }

  #container-outer {
    max-width: calc(100% - 3.5rem);
    min-width: 50%;
  }

  #main-div {
    width: 100%;
  }

  input[type="text"],
  input[type="search"] {
    width: 80%;
    font-size: 16px;
  }

  select#languageSelect {
    width: 80%;
  }

  #large-image {
    top: 190px;
    height: calc(100vh - 190px);
  }
}
